Package com.verisign.epp.serverstub

## Class OrgHandler

- java.lang.Object
- - com.verisign.epp.framework.EPPOrgHandler
  - - com.verisign.epp.serverstub.OrgHandler

- All Implemented Interfaces:
    `EPPEventHandler`

      public class OrgHandler
      extends EPPOrgHandler

  The `OrgHandler` class extends `EPPOrgHandler` to include handling the Org Mapping commands.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OrgHandler()` | Constructs an instance of IdnMapDomainHandler

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected EPPEventResponse` | `doOrgCheck​(EPPEvent aEvent, java.lang.Object aData)` | Override base handler `doOrgCheck` method and add handling of the Org Check Command.
    `protected EPPEventResponse` | `doOrgCreate​(EPPEvent aEvent, java.lang.Object aData)` | Override base handler `doOrgCreate` method and add handling of the Org Create Command.
    `protected EPPEventResponse` | `doOrgDelete​(EPPEvent aEvent, java.lang.Object aData)` | Override base handler `doOrgDelete` method and add handling of the Org Delete Command.
    `protected EPPEventResponse` | `doOrgInfo​(EPPEvent aEvent, java.lang.Object aData)` | Override base handler `doOrgInfo` method and add handling of the Org Info Command.
    `protected EPPEventResponse` | `doOrgUpdate​(EPPEvent aEvent, java.lang.Object aData)` | Override base handler `doOrgUpdate` method and add handling of the Org Update Command.
    `protected void` | `preHandleEvent​(EPPEvent aEvent, java.lang.Object aData)` | Do any pre-handling of commands.

    - ### Methods inherited from class com.verisign.epp.framework.EPPOrgHandler

      `getNamespace, handleEvent, postHandleEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OrgHandler

          public OrgHandler()

      Constructs an instance of IdnMapDomainHandler

  - ### Method Detail

    - #### preHandleEvent

          protected void preHandleEvent​(EPPEvent aEvent,
                                        java.lang.Object aData)
                                 throws EPPHandleEventException

      Do any pre-handling of commands.
      Overrides:
        `preHandleEvent` in class `EPPOrgHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `OrgHandler` This is assumed to be an instance of SessionData here.
      Throws:
        `EPPHandleEventException` - Thrown if an error condition occurs. It must contain an `EPPEventResponse`

    - #### doOrgCheck

          protected EPPEventResponse doOrgCheck​(EPPEvent aEvent,
                                                java.lang.Object aData)

      Override base handler `doOrgCheck` method and add handling of the Org Check Command.
      Specified by:
        `doOrgCheck` in class `EPPOrgHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `OrgHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.

    - #### doOrgInfo

          protected EPPEventResponse doOrgInfo​(EPPEvent aEvent,
                                               java.lang.Object aData)

      Override base handler `doOrgInfo` method and add handling of the Org Info Command.
      Specified by:
        `doOrgInfo` in class `EPPOrgHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `OrgHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.

    - #### doOrgCreate

          protected EPPEventResponse doOrgCreate​(EPPEvent aEvent,
                                                 java.lang.Object aData)

      Override base handler `doOrgCreate` method and add handling of the Org Create Command.
      Specified by:
        `doOrgCreate` in class `EPPOrgHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `OrgHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.

    - #### doOrgDelete

          protected EPPEventResponse doOrgDelete​(EPPEvent aEvent,
                                                 java.lang.Object aData)

      Override base handler `doOrgDelete` method and add handling of the Org Delete Command.
      Specified by:
        `doOrgDelete` in class `EPPOrgHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `OrgHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.

    - #### doOrgUpdate

          protected EPPEventResponse doOrgUpdate​(EPPEvent aEvent,
                                                 java.lang.Object aData)

      Override base handler `doOrgUpdate` method and add handling of the Org Update Command.
      Specified by:
        `doOrgUpdate` in class `EPPOrgHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `OrgHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.